CMSIS-Driver: IDs

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
IDs
Defines and Structs

ID related defines. More...

## Macros

#define | vioMotionGyro (0U)
| vioSetXYZ / vioGetXYZ id parameter: for Gyroscope More...
#define | vioMotionAccelero (1U)
| vioSetXYZ / vioGetXYZ id parameter: for Accelerometer More...
#define | vioMotionMagneto (2U)
| vioSetXYZ / vioGetXYZ id parameter: for Magnetometer More...

## Description

ID related defines.

## Macro Definition Documentation

#define vioMotionGyro (0U)

vioSetXYZ / vioGetXYZ id parameter: for Gyroscope

#define vioMotionAccelero (1U)

vioSetXYZ / vioGetXYZ id parameter: for Accelerometer

#define vioMotionMagneto (2U)

vioSetXYZ / vioGetXYZ id parameter: for Magnetometer